# Create New Receiver

Create a new receiver under a SubAccount for receiving the payout.

## Create a New Receiver

<mark style="color:orange;">`POST`</mark> `/api/receiver`

**Headers**

| Name        | Value     |
| ----------- | --------- |
| `x-api-key` | `<token>` |
| `signature` | `<token>` |

**Body**

| Name                                              | Type   | Description                                                                        |
| ------------------------------------------------- | ------ | ---------------------------------------------------------------------------------- |
| `subaccount_id`<mark style="color:red;">\*</mark> | string | Subaccount ID of the receiver user.                                                |
| `first_name`<mark style="color:red;">\*</mark>    | string | First Name of the receiver user.                                                   |
| `last_name`<mark style="color:red;">\*</mark>     | string | Last Name of the receiver the user.                                                |
| `middle_name`                                     | string | Middle Name of the receiver the user.                                              |
| `email`<mark style="color:red;">\*</mark>         | string | Email of the receiver the user.                                                    |
| `dob`<mark style="color:red;">\*</mark>           | string | Date of Birth of the receiver the user. In the format of `YYYY-MM-DD`              |
| `dialcode`<mark style="color:red;">\*</mark>      | string | Country Dial Code of the receiver the user. (for example, `61`, `353` , and so on) |
| `phone`<mark style="color:red;">\*</mark>         | string | Phone of the receiver the user.                                                    |
| `address`<mark style="color:red;">\*</mark>       | string | Address of the receiver the user.                                                  |
| `address2`                                        | string | Additional information related to the street.                                      |
| `gender`                                          | string | Gender of the receiver the user.                                                   |
| `city`<mark style="color:red;">\*</mark>          | string | City, town, or another settlement.                                                 |
| `state`<mark style="color:red;">\*</mark>         | string | State, region, district, county or another territorial entity inside a country.    |
| `postcode`<mark style="color:red;">\*</mark>      | string | Address postal code.                                                               |
| `country`<mark style="color:red;">\*</mark>       | string | Alpha-3 country code (for example, `DEU`, `GBR`, `ARG`, and so on).                |
| `reference`                                       | string | Your reference for the receiver. This is usually a unique ID in your system.       |

&#x20;<mark style="color:red;">\*</mark> is mandatory parameter

#### Example body request

```json
{
    "subaccount_id": "3dc81811-8cdb-49c6-8f9e-9b25ea4544b7"
    "first_name": "David",
    "last_name": "Lahm",
    "middle_name": "Robert",
    "email":"davidrlahm84@gmail.com",
    "dob": "1990-03-21",
    "dialcode": "61",
    "phone": "213094857",
    "address": "122 Grenfell St",
    "gender": "M",
    "city": "Adelaide",
    "state": "SA",
    "postcode": "5000",
    "country": "AUS",
    "reference": "david8740"
}
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "message": "Receiver created successfully",
    "payload": {
        "receiver_id": "d81b714c-a082-431a-8935-d0c67ad22c2d",
        "first_name": "David",
        "last_name": "Lahm",
        "email": "davidrlahm84@gmail.com"
    }
}
```

{% endtab %}

{% tab title="400" %}

```json
{
    "message": "There was an error while creating a receiver",
    "error": [
        {
            "code": "REVR201",
            "message": "Email already exist"
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.payswiftly.io/payout-api/receiver/create-new-receiver.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
